.link-underline {
  margin-right: 1rem;

  display: inline-block;
  position: relative;

  &::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(1);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: $principal-color;
    transform-origin: bottom left;
    transition: transform .3s ease-in-out;
 }

  &:hover::after {
    transform: scaleX(0);
    transform-origin: bottom right;
  }
}

.link-background {
  width: min-content;
  white-space: nowrap;
  position: relative;
  margin-left: 1.25rem;
  
  &::after {
    content: "";
    position: absolute;
    z-index: -1;
    top: 70%;
    left: -0.1px;
    right: -0.1px;
    bottom: 0;
    transition: top .1s ease-in-out;
    background-color: rgba($principal-color ,0.5);
  }

  &:hover::after {
    top: 0;
  }
}